' AXE 0 STAT Display
' By Michael Jeffery
'  Copyright 2005 Clinch Electronic Systems

' PICAXE-08M, Dallas DS18B20 temperature display only
' IN NORMAL MODE THE DISPLAY WILL SHOW A TEMPERATURE
' RANGE OF -55 C to +125 C.
' BUT HOLDING DOWN THE SWITCH WILL SHOW A TEMPERATURE
' RANGE OF 32 F to +225 F, 3 Digit version, 2 or 3 Digit are available
' Display refresh rate = 10 seconds

' Pin 0 goes to display Reset
' Pin 1 goes to display minus (-) LED or character
' Pin 2 goes to display Clock/Count input
' Pin 3 goes to display switch for C or F

' Display will interface directly to a Schools Experimenter PCB
' via the 10 pin Header Strip
 
 symbol counter = b3
 
main:
  low 0
  rem debug b1				'(remove) or comment out this line if not in use.
  readtemp 4,b1
  pause 20
  high 0
  if input3 = 0 then goto OZ_Temp
  let  b1 = b1 * 9 / 5 + 32

OZ_Temp:
  if b1 <127 then goto M_Off                

M_On:
  let b1=b1-128				'simply,,!
  high 1
  goto ready				'amazing,,!

M_Off:                   
  low 1

ready:
  pause 40
  for counter = 1 to b1                         
  high 2
  low 2
  next counter                   
  pause 10000				'display refresh rate = 10s.
  goto main                    

'PICAXE is a Trade Mark of Rev-Ed Ltd, picaxe.co.uk

